> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> Returns a paginated list of users for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/users
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/users:
    get:
      tags:
        - User
      summary: List Users
      description: Returns a paginated list of users for the specified install.
      operationId: getV1InstallsInstallsidUsers
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: admin
          in: query
          schema:
            type: boolean
            description: Filter admin user
          description: Filter admin user
        - name: offset
          in: query
          schema:
            type: integer
            description: Result offset
            minimum: 0
          description: Result offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: sortKeys
          in: query
          schema:
            type: array
            description: Keys to sort the data
            default:
              - createdDate
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - createdDate
                - lastName
                - firstName
          description: Keys to sort the data
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Order of sorting
            default: ASC
            enum:
              - ASC
              - DESC
          description: Order of sorting
        - name: firstName
          in: query
          schema:
            type: string
            description: First Name
          description: First Name
        - name: lastName
          in: query
          schema:
            type: string
            description: Last Name
          description: Last Name
        - name: email
          in: query
          schema:
            type: string
            description: Email
            x-format:
              email: true
          description: Email
        - name: sisId
          in: query
          schema:
            type: string
            description: SIS Id
          description: SIS Id
        - name: lmsId
          in: query
          schema:
            type: string
            description: LMS Id
          description: LMS Id
        - name: apiId
          in: query
          schema:
            type: string
            description: API Id
          description: API Id
        - name: externalId
          in: query
          schema:
            type: string
            description: External Id
          description: External Id
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserListResponse'
components:
  schemas:
    UserListResponse:
      type: object
      properties:
        total:
          type: number
          description: Total number of results
        first:
          type: string
          description: URL for first page
          nullable: true
        next:
          type: string
          description: URL for next page
          nullable: true
        prev:
          type: string
          description: URL for previous page
          nullable: true
        last:
          type: string
          description: URL for last page
          nullable: true
        count:
          type: number
          description: Number of results in this page
        offset:
          type: number
          description: Current offset
        results:
          $ref: '#/components/schemas/Model3'
    Model3:
      type: array
      description: User records
      items:
        $ref: '#/components/schemas/UserListItem'
    UserListItem:
      type: object
      properties:
        sid:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````